| Kea 3.0.2-git

lease_query_impl.h File Reference
`#include <exceptions/exceptions.h>`
`#include <asiolink/io_address.h>`
`#include <asiolink/io_service.h>`
`#include <dhcp/pkt.h>`
`#include <cc/data.h>`
`#include <cc/simple_parser.h>`
`#include <boost/functional/hash.hpp>`
`#include <unordered_set>`
Include dependency graph for lease_query_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::lease_query::AddressList
| Manages a unique list of IP addresses. More...
class | isc::lease_query::LeaseQueryImpl
| Provides configuration and control flow for processing queries. More...
class | isc::lease_query::QueryTerminated
| Thrown on hook termination. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::lease_query

## Macros
#define | CHECK_TERMINATED

## Typedefs
typedef boost::shared_ptr< LeaseQueryImpl > | isc::lease_query::LeaseQueryImplPtr
| Defines a smart pointer to LeaseQueryImpl instance.

## Macro Definition Documentation

## ◆ CHECK_TERMINATED

#define CHECK_TERMINATED

Value:
if (LeaseQueryImpl::terminated_) { \
isc_throw(isc::lease_query::QueryTerminated, "terminated"); \
}
isc::lease_query::QueryTerminated
Thrown on hook termination.
Definition lease_query_impl.h:24

Definition at line 31 of file lease_query_impl.h.

Referenced by isc::lease_query::BulkLeaseQuery4::bulkQueryByRelayId(), isc::lease_query::BulkLeaseQuery4::bulkQueryByRemoteId(), isc::lease_query::LeaseQueryImpl6::queryByClientId(), isc::lease_query::LeaseQueryImpl6::queryByIpAddress(), isc::lease_query::LeaseQueryImpl6::queryByLinkNext(), isc::lease_query::LeaseQueryImpl6::queryByLinkStart(), isc::lease_query::LeaseQueryImpl6::queryByRelayIdNext(), isc::lease_query::LeaseQueryImpl6::queryByRelayIdStart(), isc::lease_query::LeaseQueryImpl6::queryByRemoteIdNext(), isc::lease_query::LeaseQueryImpl6::queryByRemoteIdStart(), isc::lease_query::BulkLeaseQuery4::send(), and isc::lease_query::BulkLeaseQuery6::send().